log4shib::LayoutAppender(3)

NAME
log4shib::LayoutAppender - LayoutAppender is a common superclass for all Appenders that require a Layout.

SYNOPSIS

#include <LayoutAppender.hh>

Inherits log4shib::AppenderSkeleton.

Inherited by log4shib::FileAppender, log4shib::NTEventLogAppender, log4shib::OstreamAppender, log4shib::RemoteSyslogAppender, log4shib::StringQueueAppender, log4shib::SyslogAppender, and log4shib::Win32DebugAppender.

  Public Types
typedef BasicLayout DefaultLayoutType

  Public Member Functions
LayoutAppender (const std::string &name)
virtual ~LayoutAppender ()
virtual bool requiresLayout () const
Check if the appender requires a layout.
virtual void setLayout (Layout *layout=NULL)
Set the Layout for this appender.

  Protected Member Functions
Layout & _getLayout ()
Return the layout of the appender.

  Additional Inherited Members

Detailed Description

LayoutAppender is a common superclass for all Appenders that require a Layout.

Member Typedef Documentation

  typedef BasicLayout log4shib::LayoutAppender::DefaultLayoutType

Constructor & Destructor Documentation

  log4shib::LayoutAppender::LayoutAppender (const std::string & name)

  log4shib::LayoutAppender::~LayoutAppender () [virtual]

Member Function Documentation

  Layout & log4shib::LayoutAppender::_getLayout () [protected]

Return the layout of the appender. This method is the Layout accessor for subclasses of LayoutAppender.

Returns
    the Layout.

  bool log4shib::LayoutAppender::requiresLayout () const [virtual]

Check if the appender requires a layout. All LayoutAppenders do, therefore this method returns true for all subclasses.

Returns
    true.

Implements log4shib::AppenderSkeleton.

  void log4shib::LayoutAppender::setLayout (Layout * layout = NULL) [virtual]

Set the Layout for this appender.

Parameters
    layout The layout to use.

Implements log4shib::AppenderSkeleton.

Author

Generated automatically by Doxygen for log4shib from the source code.